Imagick::motionBlurImage
Imagick::newImage
The Imagick class
PHP Manual

# Imagick::negateImage

(No version information available, might be only in CVS)

Imagick::negateImage — Negates the colors in the reference image

### Description

bool Imagick::negateImage ( bool `$gray` [, int `$channel` ] )
Warning

This function is currently not documented; only its argument list is available.

Negates the colors in the reference image. The Grayscale option means that only grayscale values within the image are negated.

### Parameters

`gray`

  Whether to only negate grayscale pixels within the image.

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Defaults to Imagick::CHANNEL_ALL. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::motionBlurImage
Imagick::newImage
The Imagick class
PHP Manual